Hello there! 

Thank you for the checking out neuropredict, and for your interest in contributing. 

This is an interdisciplinary project with an exciting [roadmap](docs/neuropredict_long_term_goals.jpg), both in scope and in long term goals. The core functions of neuropredict as a tool (learning, cross-validation and visualization) have been implemented already in their basic form. However, these could be improved significantly in various ways, which include:
 
 * **More documentation**
   * write more examples for each type of usage
   * write more docs on results produced
   * improve docs on how to use the results and API
   * write docs on how not to use the results
 * **Portability**
   * Propose and implement web-friendly output formats for results e.g.
     * json output compared to pickle files for numerical outputs
     * java script based visualizations instead of PDFs
     * interface to run neuropredict over web or on a browser (like a service)
   * Implement support for more input formats (besides CSVs, pyradigm, arff)     
 * **New features**
   * propose interesting and new use cases that neuropredict could support to further multiply its value
   * integrate Keras to offer support for CNNs and other variants
   * Also, take a look at [open issues](https://github.com/raamana/neuropredict/issues)
 * **Better software engineering**
   * improve the API for programmatic access for advanced users
   * improving the speed by offering GPU support, and/or more internal optimization 
   * ideas for GUI development
   * ideas for integration with other use cases
* **More Tests**
   * write unit tests or property tests to assert its advertised functionality
   * testing delivery/installation systems to ensure it works as advertised on Windows and other platforms      
 * Any other features or idea that you think are interesting and helpful o you or your friends.


Thanks for your time and help, and being a champion of open source!
 